org.richfaces.view.facelets

## Class FileUploadHandler.FileUploadListenerImpl

- java.lang.Object
- - org.richfaces.event.MethodExpressionEventListener
  - - org.richfaces.view.facelets.FileUploadHandler.FileUploadListenerImpl

- All Implemented Interfaces:
    EventListener, javax.faces.component.StateHolder, javax.faces.event.FacesListener, org.richfaces.event.FileUploadListener
  Enclosing class:
    FileUploadHandler

      public static final class FileUploadHandler.FileUploadListenerImpl
      extends MethodExpressionEventListener
      implements org.richfaces.event.FileUploadListener

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `FileUploadHandler.FileUploadListenerImpl()`
    `FileUploadHandler.FileUploadListenerImpl(javax.el.MethodExpression expression)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `processFileUpload(org.richfaces.event.FileUploadEvent event)`

    - ### Methods inherited from class org.richfaces.event.MethodExpressionEventListener

      `isTransient, processEvent, restoreState, saveState, setTransient`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### FileUploadHandler.FileUploadListenerImpl

          public FileUploadHandler.FileUploadListenerImpl()

    - #### FileUploadHandler.FileUploadListenerImpl

          public FileUploadHandler.FileUploadListenerImpl(javax.el.MethodExpression expression)

  - ### Method Detail

    - #### processFileUpload

          public void processFileUpload(org.richfaces.event.FileUploadEvent event)
                                 throws javax.faces.event.AbortProcessingException

      Specified by:
        `processFileUpload` in interface `org.richfaces.event.FileUploadListener`
      Throws:
        `javax.faces.event.AbortProcessingException`

Copyright © 2013 JBoss by Red Hat. All Rights Reserved.